<?php
/*------------------------*/
# create .m3u_new - file #
/*-------------------------*/

include_once ("functions.inc.php");

# delete old m3u.new
# only need to stripslash.  Verified with dir containing ' and +
$path = stripslashes ($_POST['path']);
if (!is_dir ($path))
  print "ERROR: path $path passed by POST does not exist !";
$handle = opendir ($path);
while ($file = readdir ($handle))
{
  if ($file != "." && $file != "..")
  {
    if (preg_match("/\.m3u.new$/i",$file))
    {
      $file = "$path/$file";
      if (!unlink ($file))
        dad_error ("Could not remove $file !");
    }
  }
}
closedir($handle);

# check if some files must be removed from old m3u
if (!empty($_POST["notexist"]))
{
  $lines = explode("||",$_POST["notexist"]);
  $content = $_POST["oldm3u"];
  for ($i=0;$i<count($lines);$i++)
  {
    $content = str_replace("$lines[$i]","",$content);
  }
  $oldcontent = explode("||",$content);
  $newcontent = "";
  for($i=0;$i<count($oldcontent);$i++)
  {
    $oldcontent[$i] = str_replace("||","",$oldcontent[$i]);
    if (!empty($oldcontent[$i])) $newcontent .= $oldcontent[$i]."\n";
  }
  $fp = fopen ("".$_POST['m3ufile']."", "w");
  fwrite($fp,$newcontent);
  fclose($fp);
}

$path = stripslashes ($_POST['path']);     /* path to new album dir */
$tomake = stripslashes ($_POST['tomake']); /* name of .m3u.new file to create */
$file_to_create = "$path/$tomake.m3u.new";

if (!touch($file_to_create))
  dad_error ("Could not create $file_to_create !");

chmod($file_to_create,0664);

$fp = fopen ($file_to_create, "w");
fwrite($fp,stripslashes(str_replace("\r","",$_POST['requiredcontent'])));
fclose($fp);

header("location: import.php?type=new_albums");
