<SCRIPT language="JavaScript">
/* Some pages are shown using panes and tabs.
 * Tabs are the top row of identifiers for the panes.
 * Panes contain the actual content.
 *
 * Pages using this code include pane.js and use
 * DIV id="tab_(nr)" and DIV id="pane_(nr)" to mark tabs and panes.
 */

var currentPane; /* currently visible pane */
    
   function showPane(paneNum)
   {
      /* hide currentPane, the current visible pane, show given pane,
       * set tab
       */
      if (currentPane != null) {
         hidePane();
      }
      document.getElementById
         ('pane_' + paneNum).style.visibility = 'visible';
      currentPane = paneNum;
      setState(paneNum);
   }

   /* hide currentPane, unhilight tab */
   function hidePane() 
   {
      document.getElementById
        ('pane_' + currentPane).style.visibility = 'hidden';
      document.getElementById
        ('tab_' + currentPane).style.backgroundColor = '#ffffff';
      document.getElementById
        ('tab_' + currentPane).style.color = 'navy';
   }
    
   /* Set correct state on given tab;
    * red if tab is for currently visible pane, navy otherwise. */
   function setState(tabNum) {
      if (tabNum == currentPane) {
         document.getElementById
           ('tab_' + tabNum).style.backgroundColor = '#ddddff';
         document.getElementById
           ('tab_' + tabNum).style.color = 'red';
      } else {
         document.getElementById
           ('tab_' + tabNum).style.backgroundColor = '#ffffff';
         document.getElementById
           ('tab_' + tabNum).style.color = 'navy';
      }
   }

   function hover(tab) {
      tab.style.backgroundColor = 'ddddff';
   }
</SCRIPT>
