<?php
/*------*/
# Ratings overview 
/*------*/

require_once "DAD/audio.php";

echo "<table border=0 cellspacing=3 cellpadding=2><tr valign=top><td>";
echo "<table class=\"searchtable\" cellspacing=3 cellpadding=2><tr><td>";

echo "<h3>Ratings for dad</h3>";

# users
$query = "select user_id,username from users";
$daddb->query($query);
$users = $daddb->all_rows($query);

# cats
$query = "select cat_id,description from category";
$daddb->query($query);
$cats = $daddb->all_rows($query);

print "<TABLE class=\"resulttable\">\n<TR><TD></TD>\n";

for ($i = 0; $i < count ($users); ++$i)
{
  print "<TD>" . $users[$i]->username . "</TD>\n"; 
}
print "</TR>\n<TR>\n";

for ($i = 0; $i < count ($cats); ++$i)
{
  print "<TR><TD>" . $cats[$i]->description . "</TD>\n"; 
  for ($j = 0; $j < count ($users); ++$j)
  {
    $user_id = $users[$j]->user_id;
    $cat_id = $cats[$i]->cat_id;
    $query = "select rate from score where user_id=$user_id and cat_id=$cat_id";
    $daddb->query($query);
    $score = $daddb->row_count();
    
    print "<TD>$score</TD>";
  }
  print "</TR>\n";
}
print "</TR>\n</TABLE>\n";

echo "</td></tr></table>";

echo "</td><td>";
echo "<table class=\"searchtable\" cellspacing=3 cellpadding=2><tr><td>";

echo "<h3>Query Ratings</h3>";

# get post values if they were there for reuse
if (isset($_POST["user_id"])) $user_id = $_POST["user_id"]; else $user_id = "";
if (isset($_POST["cat_id"])) $cat_id = $_POST["cat_id"]; else $cat_id = "";
if (isset($_POST["limit"])) $limit = $_POST["limit"]; else $limit = "50";
if (isset($_POST["temp"])) $checked = "checked"; else $checked = "";

print "<FORM action=\"ratings.php\" method=\"post\">\n";
print "<TABLE>\n<TR><TD>Name</TD><TD>Category</TD><TD>Lower</TD><TD>Higher</TD><TD>Limit</TD><TD>Temp</TD></TR>\n";
print "<TR><TD>\n";
print "<SELECT name=\"user_id\">\n";
print '<OPTION value="0">(Any user)</OPTION>' . "\n";
for ($i = 0; $i < count ($users); ++$i)
{
  print "<OPTION value=\"" . $users[$i]->user_id . "\"";
  if ($i + 1 == $user_id) { print " selected"; }
  print '>';
  print $users[$i]->username . "</OPTION>\n";
}
print "</SELECT>\n";
print "</TD><TD>";
print "<SELECT name=\"cat_id\">\n";
for ($i = 0; $i < count ($cats); ++$i)
{
  print "<OPTION value=\"" . $cats[$i]->cat_id . "\"";
  if ($i + 1 == $cat_id) { print " selected"; }
  print '>';
  print $cats[$i]->description . "</OPTION>\n";
}
print "</TD>\n";
# FIXME: update scores to be ratings between 0 and 1
# 09/02/03 - Kris : deleted '/ 0.1' on line 77&78 ? -> ok ?
#                 : on line 89 && 99 $lower & $higer / 1000 -> ok ?
$lower = 0;
$higher = 1000;
if (!empty ($_POST["lower"])) { $lower = $_POST["lower"]; }
if (!empty ($_POST["higher"])) { $higher = $_POST["higher"]; }
print '<TD><INPUT name="lower" value="' . $lower . '" size=4>';
print '</INPUT></TD>';
print '<TD><INPUT name="higher" value="' . $higher . '" size=4>';
print '</INPUT></TD>';
print '<TD><INPUT type="text" name="limit" value="'.$limit.'" size=3></INPUT></TD>';
print '<TD><INPUT type="checkbox" name="temp" value="1" '.$checked.'></INPUT></TD>';
print '<TD><INPUT type="submit" value="Query"></INPUT></TD>';
print "</TR></TABLE>\n";
print "</SELECT>\n";
print "</FORM>\n";
print "</TD></TR><TR><TD>\n";

# did we have a query ? show results for it if we do
if (!empty ($_POST))
{

  $query = "SELECT audio.audio_id,rate,audio.audiofile_id FROM score,audio WHERE score.audio_id = audio.audio_id AND cat_id = $cat_id ";
  if ($user_id != 0) { $query .= "AND user_id = $user_id "; }
  if (isset ($lower)) 
  { 
    $lower = $lower / 1000;
    $query .= "AND rate >= $lower "; 
  }
  if (isset ($higher)) 
  {  
    $higher = $higher / 1000;
    $query .= "AND rate <= $higher "; 
  }
  $query .= "limit 0,{$_POST['limit']}";
  $daddb->query($query);
  $number = $daddb->row_count();
  if ($number == 0)
  {
    print "No songs match the criteria<BR>\n";
    return;
  }
  $rows = $daddb->all_rows($query);
  print "$number matching songs\n";
 
  $rowke = mysql_fetch_object(mysql_query("select position from temp_playlist where user_id = '$dadid' order by position DESC limit 1"));
  if ($rowke) $a = $rowke->position; else $a = 0;
  $a++;
  for ($i = 0; $i < $number; ++$i)
  {
    $id = $rows[$i]->audio_id;
    $audio = new DAD_audio($id);
    $score = $rows[$i]->rate * 1000;
    $artists = implode(" & ", $audio->GetArtistLinks());
    $title = $audio->getLink();
    $lines[$i] = "<TR><TD>$artists</TD><TD>$title</TD><TD>$score</TD></TR>\n";
    if (isset($_POST['temp']))
    {
      $query  = "INSERT INTO temp_playlist ";
      $query .= "VALUES('".$rows[$i]->audiofile_id."'";
      $query .= ", 0"; /* FIXME: remove artist_id from playlist table */
      $query .= ", '$dadid','$a')";
      /* FIXME: use DB class for this */
      mysql_query($query);
      print mysql_error();
      $a++;
    }
  }

  sort($lines);
  print "<TABLE>\n";
  print "<TR><TD>Artist(s)</TD><TD>Title</TD><TD>Score</TD></TR>\n";
  print implode("\n", $lines);
  print "</TABLE>\n";
}

echo "</td></tr></table>";
echo "</td></tr></table>";
?>
