<?php

class dbdad {
	var $output_html = TRUE;

	function dadconnect($DB_HOST, $DB_USER, $DB_PASS, $DB_NAME, $persistent = FALSE) {
		$function = ($persistent) ? 'pg_pconnect' : 'pg_connect';
		if (!$this->connection = $function("host='$DB_HOST' user='$DB_USER' password='$DB_PASS' dbname='$DB_NAME'")) return FALSE;

		return TRUE;
	}

	function query($query, $key = 0, $debug = FALSE) {
		$this->last_query = $query;
		if ($debug) echo ($this->output_html) ? "<span style='white-space: pre; background: #000070; color: #ffffff; font: 0.8em sans-serif'>".htmlspecialchars($query)."</span><br/>\n" : "$query\n";
		return ($this->results[$key] = pg_exec($this->connection, $query)) ? TRUE : FALSE;
	}

        function cell($query) {
                $key = uniqid(0);

                $this->query($query, $key);
                if ($this->row_count()) return pg_result($this->results[$key], 0, 0);
        }

	function row($key = 0) {
		return pg_fetch_object($this->results[$key]);
	}

	function all_rows($query) {
		$key = uniqid(0);
		$rows = array();		
		$this->query($query, $key);
		while ($row = $this->row($key)) $rows[] = $row;
		return $rows;
	}

	function row_count() {
		$command = strtoupper(substr($this->last_query, 0, 6));
		$function = ($command == 'INSERT' || $command == 'UPDATE' || $command == 'DELETE') ? 'pg_cmdtuples' : 'pg_numrows';
		return $function(max($this->results));
	}



	function last_id($table, $serial_column = 'id') {
		$version_info = explode('.', phpversion());
		if ($version_info[0] < 4 || ($version_info[0] > 3 && $version_info[1] < 2)) {
			if (!$oid = pg_getlastoid(max($this->results))) return FALSE;
			return $this->cell("SELECT $serial_column FROM $table WHERE oid = $oid");
		}
		else{
			if (!$oid = pg_last_oid(max($this->results))) return FALSE;
			return $this->cell("SELECT $serial_column FROM $table WHERE oid = $oid");
		}
	}

        function begin() {
		if (!isset($this->results))
			$this->results = '';
                $this->query('BEGIN', count($this->results));
                $notice = pg_last_notice($this->connection);
                if ($notice[0] == 'N') {
                        trigger_error($notice, E_USER_WARNING);
                        return FALSE;
                }
                
                return TRUE;
        }

        function commit() {
                $this->query('COMMIT', count($this->results));
                $notice = pg_last_notice($this->connection);
                if ($notice[0] == 'N') {
                        trigger_error($notice, E_USER_WARNING);
                        return FALSE;
                }

                return TRUE;
        }

        function nextvalue($nextvalue){
                return "nextval('".$nextvalue."')";
        }
}
?>
