<?php
/*----------------*/
# function search
/*----------------*/

require_once "DAD/artist.php";
require_once "DAD/audio.php";

if (!isset($_GET['ref']))
  $ref = '';
else
  $ref = $_GET['ref'];

if (!$ref){
  if (!isset($_POST['search'])) $search = '';
  else $search = $_POST['search'];
}
else{
  if (!isset($_GET['search'])) $search = '';
  else  $search = urldecode($_GET['search']);
}

?>
<table border=0 cellspacing=0 cellpadding=0 class="menu" width="100%">
  <tr>
    <td class="menu"><img src=images/spacer.gif width=1 height=20></td>
    <td nowrap class="menu" align=right>
     <b>Search results for </b></td><td class="menu" width=100%>&nbsp;<b>'<?php echo stripslashes($search);?>'</b>
    </td>
  </tr>
  <tr><td class="divide" colspan=3><img src=images/spacer.gif width=1 height=1></td></tr>
</table>
<?php

# no searchword ?
if (!$search) echo "<h3>No words to search for !</H3>";
# word to short ?
elseif (strlen($search) < 2 ) echo "<h3>Word to short !</H3>";
# let's search !
else{

  # some words to strip! 
  $stripwords = array("the","and","for","en","de","een","het","und","der","la","le","DJ","Dj","dJ","dj");

  echo "<table cellspacing=3 cellpadding=0 border=0><tr><td valign=top>";
  echo "<table cellspacing=0 cellpadding=3><tr><td valign=top class=\"searchtable\">";  

  echo "<b>Artists results :</b>&nbsp;";
  $search = trim($search);
  $searchwordsarray = explode(" ",$search);
  $searchwords = array();
  $max = count($searchwordsarray);
   for ($i=0;$i<$max;$i++){
     if (!in_array($searchwordsarray[$i],$stripwords)){
        array_push($searchwords,$searchwordsarray[$i]);
        array_push($searchwords,ucfirst($searchwordsarray[$i]));
     }
   }

  ##########################
  # artist query

  if (count($searchwords) != 0){
    $maxc = count($searchwords);
    $query = "select artist_id,artistname,first_letter_id from artist where ";
    for ($i=0;$i<$maxc;$i++){
      if ($i != 0 AND trim($searchwords[$i]) != "") $query .= "OR ";
      if (trim($searchwords[$i]) != "") 
      $query .= "artistname like '%".trim($searchwords[$i])."%' ";
    }
    $query .= "order by artistname ASC";
    $rows = $daddb->all_rows($query);
    $row_count = $daddb->row_count();
  }
  else $row_count = 0;
  if (!$row_count) {
    echo "No artist results";
  } else {
    echo "<b>$row_count results</b><br><br>";
    for ($i = 0; $i < $row_count; $i++) {
      echo " - ";
      if (isset($dadid)){
        echo "<a href=browse.php?dad=viewartist";
        echo "&artist_id=".$rows[$i]->artist_id.">";
      }
      echo stripslashes($rows[$i]->artistname);
      if (isset($dadid)) echo "</a>";
      echo "<br>";
    }
  }
  echo "</td>";

  ##########################
  # song query

  echo "<td width=20>&nbsp;</td>\n";
  echo "<td valign=top class=\"searchtable\"><b>Song results : </b>&nbsp;";

  $query = "SELECT title,audiofile_id,artist.artist_id,artistname,first_letter_id,audio.audio_id FROM audio,audioxartist,artist ";
  $query .= "WHERE audio.audio_id = audioxartist.audio_id ";
  $query .= "AND audioxartist.artist_id = artist.artist_id AND (";

  if (count($searchwords) != 0) {
    $maxc = count($searchwords);
    for ($i = 0; $i < $maxc; $i++) {
      if ($i != 0 AND trim($searchwords[$i]) != "") $query .= "OR ";
      if (trim($searchwords[$i]) != "") $query .= "title like '%".trim($searchwords[$i])."%' ";
    }
    $query .= ") order by title ASC";
    debug ("search.inc.php: query: $query");
    $rows = $daddb->all_rows($query);
    $row_count = $daddb->row_count();
  }
  else $row_count = 0;

  if (!$row_count) {
    echo "No song results";
  } else {
    echo "<b>$row_count results</b><br><br>";
    echo "<TABLE cellspacing=2 cellpadding=0>";
    for ($i = 0; $i < $row_count; $i++) {
      $audio = new DAD_audio ($rows[$i]->audio_id);
      echo "<TR>";
      echo "<TD> - </TD>";
      /* show playlist add/play links if logged in */
      if ($dadid) {
        print "<TD>";
        print $audio->getAddPlaylistLinks($dadid, 0);
        print "</TD><TD>\n";
        print $audio->getPlayLink($dadid, 1, "Stream audio") . "\n";
        print $audio->getPlayLink($dadid, 2, "Play audio locally") . "\n";
        print "</TD>";
      }
      print "<TD>";
      /* display artists and title */
      if ($dadid)
          print join($audio->getArtistLinks(), " & ");
      else
          print join($audio->getArtistName(), " & ");
      print " - ";
      if ($dadid)
        print $audio->getLink();
      else
        print $audio->getTitle();
      print "</TD></TR>\n";
    }
  }  

  echo "</td></tr></table>";
  echo "</td></tr></table>";

}

?>
